;*************************************************************************
;*									 *
;*				ATmega2560 Bootloader			 *
;*                                                                       *
;*                      Author: Peter Dannegger                          *
;*									 *
;*************************************************************************
.nolist
.include "m2560def.inc"


;please burn this BootStart Fuse:

.equ	BootStart	= FirstBootStart


;Attention: BufferSize must fit perfectly into BootStart !
;e.g. BufferSize * 34 = BootStart

.equ	BufferSize= 30*PageSize
;.equ	BufferSize= 2*PageSize

;-------------------------------------------------------------------------
;                               Port definitions
;  ATmega2560:
;    0 UARTE speed, Tx0=PE1, Rx0=PE0, for EasyRadio
;    1 UARTD speed, Tx2=PD3, Rx2=PD2, for USB connection
;    2 UARTH speed, Tx1=PH1, Rx1=PH0
;    3 UARTJ speed, Tx3=PJ1, Rx3=PJ0
;-------------------------------------------------------------------------
.equ    STX_PORT        = PORTD;PORTE;
.equ    STX_DDR         = DDRD;DDRE;
.equ    STX             = PD3;PE1;

.equ    SRX_PIN         = PIND;PINE;
.equ    SRX_PORT        = PORTD;PORTE;
.equ    SRX             = PD2;PE0;
;-------------------------------------------------------------------------
.include "fastload.inc"
;-------------------------------------------------------------------------
